summaryrefslogtreecommitdiffstats
path: root/multimedia/totem
diff options
context:
space:
mode:
author byteframe <byteframe@gmail.com>2013-11-30 17:09:55 -0600
committer Robby Workman <rworkman@slackbuilds.org>2013-12-02 00:58:16 -0600
commitcec28a47451ecc420bad1634a366a7708ff97c20 (patch)
treea225838b5a9b03a230599b024f09e5296b0b6406 /multimedia/totem
parente3db09835a5cf306e30b027065252f4a9239ac32 (diff)
downloadslackbuilds-cec28a47451ecc420bad1634a366a7708ff97c20.tar.gz
slackbuilds-cec28a47451ecc420bad1634a366a7708ff97c20.tar.xz
multimedia/totem: Added (GNOME Movie Player)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'multimedia/totem')
-rw-r--r--multimedia/totem/README5
-rw-r--r--multimedia/totem/doinst.sh21
-rw-r--r--multimedia/totem/slack-desc19
-rw-r--r--multimedia/totem/totem.SlackBuild103
-rw-r--r--multimedia/totem/totem.info10
5 files changed, 158 insertions, 0 deletions
diff --git a/multimedia/totem/README b/multimedia/totem/README
new file mode 100644
index 0000000000..4a2e079b5a
--- /dev/null
+++ b/multimedia/totem/README
@@ -0,0 +1,5 @@
+totem is the official movie player of the GNOME desktop environment
+based on GStreamer. It features a playlist, a full-screen mode, seek
+and volume controls, as well as keyboard navigation.
+
+lirc, vala, gdata, tracker, and nautilus are optional dependencies.
diff --git a/multimedia/totem/doinst.sh b/multimedia/totem/doinst.sh
new file mode 100644
index 0000000000..7c90e60ce4
--- /dev/null
+++ b/multimedia/totem/doinst.sh
@@ -0,0 +1,21 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null 2>/dev/null
+}
+
+schema_install totem.schemas
+schema_install totem-handlers.schemas
+schema_install totem-video-thumbnail.schemas
diff --git a/multimedia/totem/slack-desc b/multimedia/totem/slack-desc
new file mode 100644
index 0000000000..1694c2ebad
--- /dev/null
+++ b/multimedia/totem/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+totem: totem (GNOME Movie Player)
+totem:
+totem: Totem is the official movie player of the GNOME desktop environment
+totem: based on GStreamer. It features a playlist, a full-screen mode, seek
+totem: and volume controls, as well as keyboard navigation.
+totem:
+totem: homepage: http://projects.gnome.org/totem
+totem:
+totem:
+totem:
+totem:
diff --git a/multimedia/totem/totem.SlackBuild b/multimedia/totem/totem.SlackBuild
new file mode 100644
index 0000000000..47ec778ef7
--- /dev/null
+++ b/multimedia/totem/totem.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for totem
+
+# Copyright 2010,2011 Robby Workman, Northport, Alabama, USA
+# Copyright 2011-2012 byteframe
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=totem
+VERSION=${VERSION:-2.32.0}
+BUILD=${BUILD:-1}
+TAG=${TAG=_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-scrollkeeper \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/totem/totem.info b/multimedia/totem/totem.info
new file mode 100644
index 0000000000..b7f87acfc7
--- /dev/null
+++ b/multimedia/totem/totem.info
@@ -0,0 +1,10 @@
+PRGNAM="totem"
+VERSION="2.32.0"
+HOMEPAGE="http://projects.gnome.org/totem"
+DOWNLOAD="ftp://ftp.gnome.org/pub/gnome/sources/totem/2.32/totem-2.32.0.tar.bz2"
+MD5SUM="2e55c3da316648ba860e3f88af2d30ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libunique totem-pl-parser"
+MAINTAINER="byteframe"
+EMAIL="byteframe@gmail.com"